Subject: bug#10977: 24.0.94; filename "emacs.desktop" collides with kde xy*.desktop logic

From: Chong Yidong <[email-masked]>
Date: Thu, 21 Jun 2012 03:27:08 -0400

> Can you please give the "~/.emacs.desktop" an other filename
> resp. extension or (default path) than ".desktop". It collides with
> some KDE mimic which i don't want to describe here. I think an
> extension of ".el" or default name like ".emacs-desktop.el" would be
> perfect. I mean the file created as a result of (desktop-save-mode 1)
> in the startup-file.

I've changed `desktop-path' in trunk so that the desktop file now
defaults to being created in .emacs.d.